## org.eclipse.emf.codegen.ecore.genmodel.presentation
Class GenModelActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.emf.codegen.ecore.genmodel.presentation.GenModelActionBarContributor

All Implemented Interfaces:
  IMenuListener, ISelectionChangedListener, IEditorActionBarContributor, IPropertyListener

    public class GenModelActionBarContributor

extends EditingDomainActionBarContributor
implements ISelectionChangedListener

This is the action bar contributor for the GenModel model editor.

Nested Class Summary
`protected class` `GenModelActionBarContributor.CreateAction`
`protected class` `GenModelActionBarContributor.GenerateAction` This implements the "Generate..." actions.
`protected static class` `GenModelActionBarContributor.OpenEObjectEditorAction`
`protected static class` `GenModelActionBarContributor.ProjectType`

Field Summary
`protected IEditorPart` `activeEditorPart` This keeps track of the active editor.
`protected GenModelActionBarContributor.CreateAction` `addDetailAction`
`protected GenModelActionBarContributor.CreateAction` `annotateAction`
`protected IAction` `generateAllAction`
`protected IAction` `generateEditAction`
`protected IAction` `generateEditorAction`
`protected IMenuManager` `generateMenuManager` This is the menu manager for the "Generate" menu.
`protected IAction` `generateModelAction`
`protected IAction` `generateTestsAction`
`protected GenModelActionBarContributor.OpenEObjectEditorAction` `openEcoreAction`
`protected GenModelActionBarContributor.OpenEObjectEditorAction` `openGenModelAction`
`protected IAction` `refreshViewerAction` This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`
`protected ISelectionProvider` `selectionProvider` This keeps track of the current selection provider.
`protected ViewerFilterAction` `showGenAnnotationsAction`
`protected IAction` `showPropertiesViewAction` This action opens the Properties view

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`GenModelActionBarContributor()` This creates an instance of the contributor.

Method Summary
`protected void` `addGlobalActions(IMenuManager menuManager)` This inserts global actions before the "additions-end" separator
`void` `contributeToMenu(IMenuManager menuManager)` This adds menu contributions for the generate actions.
`void` `contributeToToolBar(IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar.
`void` `dispose()`
`protected ISelection` `getActiveEditorSelection()` This gets the selection from the active editor.
`void` `menuAboutToShow(IMenuManager menuManager)` This populates the pop-up menu before it appears.
`void` `selectionChanged(SelectionChangedEvent event)` This implements `ISelectionChangedListener`, refreshing the "Generate..." action contribution managers in the pull-down menu.
`void` `setActiveEditor(IEditorPart part)` When the active editor changes, this remembers the change,

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, deactivate, getActiveEditor, init, propertyChanged, removeAllReferencesOnDelete, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activeEditorPart

    protected IEditorPart activeEditorPart

  This keeps track of the active editor.

### selectionProvider

    protected ISelectionProvider selectionProvider

  This keeps track of the current selection provider.

### showPropertiesViewAction

    protected IAction showPropertiesViewAction

  This action opens the Properties view.

### refreshViewerAction

    protected IAction refreshViewerAction

  This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.

### generateMenuManager

    protected IMenuManager generateMenuManager

  This is the menu manager for the "Generate" menu.

### generateModelAction

    protected IAction generateModelAction

### generateEditAction

    protected IAction generateEditAction

### generateEditorAction

    protected IAction generateEditorAction

### generateTestsAction

    protected IAction generateTestsAction

### generateAllAction

    protected IAction generateAllAction

### showGenAnnotationsAction

    protected ViewerFilterAction showGenAnnotationsAction

### annotateAction

    protected GenModelActionBarContributor.CreateAction annotateAction

### addDetailAction

    protected GenModelActionBarContributor.CreateAction addDetailAction

### openEcoreAction

    protected GenModelActionBarContributor.OpenEObjectEditorAction openEcoreAction

### openGenModelAction

    protected GenModelActionBarContributor.OpenEObjectEditorAction openGenModelAction

Constructor Detail

### GenModelActionBarContributor

    public GenModelActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### getActiveEditorSelection

    protected ISelection getActiveEditorSelection()

  This gets the selection from the active editor.

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IEditorActionBarContributor`
  Overrides:
    `dispose` in class `EditorActionBarContributor`

### contributeToMenu

    public void contributeToMenu(IMenuManager menuManager)

  This adds menu contributions for the generate actions.

  Overrides:
    `contributeToMenu` in class `EditingDomainActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

  Overrides:
    `contributeToToolBar` in class `EditingDomainActionBarContributor`

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  When the active editor changes, this remembers the change,

  Specified by:
    `setActiveEditor` in interface `IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `EditingDomainActionBarContributor`

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  This implements `ISelectionChangedListener`, refreshing the "Generate..." action contribution managers in the pull-down menu.

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`

### menuAboutToShow

    public void menuAboutToShow(IMenuManager menuManager)

  This populates the pop-up menu before it appears.

  Specified by:
    `menuAboutToShow` in interface `IMenuListener`
  Overrides:
    `menuAboutToShow` in class `EditingDomainActionBarContributor`

### addGlobalActions

    protected void addGlobalActions(IMenuManager menuManager)

  This inserts global actions before the "additions-end" separator.

  Overrides:
    `addGlobalActions` in class `EditingDomainActionBarContributor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.